{
  "schema_version": "1.4.0",
  "id": "GHSA-f8vv-w522-3v4v",
  "modified": "2022-05-03T03:17:59Z",
  "published": "2022-05-03T03:17:59Z",
  "aliases": [
    "CVE-2007-0906"
  ],
  "details": "Multiple buffer overflows in PHP before 5.2.1 allow attackers to cause a denial of service and possibly execute arbitrary code via unspecified vectors in the (1) session, (2) zip, (3) imap, and (4) sqlite extensions; (5) stream filters; and the (6) str_replace, (7) mail, (8) ibase_delete_user, (9) ibase_add_user, and (10) ibase_modify_user functions.  NOTE: vector 6 might actually be an integer overflow (CVE-2007-1885).  NOTE: as of 20070411, vector (3) might involve the imap_mail_compose function (CVE-2007-1825).",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2007-0906"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1088"
    },
    {
      "type": "WEB",
      "url": "https://issues.rpath.com/browse/RPL-1268"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A8992"
    },
    {
      "type": "WEB",
      "url": "http://lists.opensuse.org/opensuse-security-announce/2007-07/msg00006.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.suse.com/archive/suse-security-announce/2007-Mar/0003.html"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34706"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34707"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34708"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34709"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34710"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34711"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34712"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34713"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34714"
    },
    {
      "type": "WEB",
      "url": "http://osvdb.org/34715"
    },
    {
      "type": "WEB",
      "url": "http://rhn.redhat.com/errata/RHSA-2007-0089.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24089"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24195"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24217"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24236"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24248"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24284"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24295"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24322"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24419"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24421"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24432"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24514"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24606"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24642"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24945"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/26048"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200703-21.xml"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-101.htm"
    },
    {
      "type": "WEB",
      "url": "http://support.avaya.com/elmodocs2/security/ASA-2007-136.htm"
    },
    {
      "type": "WEB",
      "url": "http://www.mandriva.com/security/advisories?name=MDKSA-2007:048"
    },
    {
      "type": "WEB",
      "url": "http://www.openpkg.com/security/advisories/OpenPKG-SA-2007.010.html"
    },
    {
      "type": "WEB",
      "url": "http://www.osvdb.org/32776"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/ChangeLog-5.php#5.2.1"
    },
    {
      "type": "WEB",
      "url": "http://www.php.net/releases/5_2_1.php"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0076.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0081.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0082.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0088.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/461462/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/466166/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/22496"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1017671"
    },
    {
      "type": "WEB",
      "url": "http://www.trustix.org/errata/2007/0009"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-424-1"
    },
    {
      "type": "WEB",
      "url": "http://www.ubuntu.com/usn/usn-424-2"
    },
    {
      "type": "WEB",
      "url": "http://www.us.debian.org/security/2007/dsa-1264"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/0546"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2007-02-13T23:28:00Z"
  }
}